[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#491967: ksmserver package should have dependence on x11-utils package

Package: ksmserver
Version: 4:3.5.9.dfsg.1-2+b1
Severity: important

/usr/bin/startkde script calls the xprop util which belongs to x11-utils package.
Without it KDE appears to start but has some strange effects, e.g. every second
log on happens without kwin running, as a consequence all windows don't have a
frame. Also there is only one desktop available in this case.

When I was installing lenny, I chose only "Standart system" in the tasksel and
then also installed kde-core and kdm packages. This way I've got a system where 
x11-utils were not installed.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages ksmserver depends on:
ii  kdelibs4c2a          4:3.5.9.dfsg.1-6    core libraries and binaries for al
ii  kwin [x-window-manag 4:3.5.9.dfsg.1-2+b1 the KDE window manager
ii  libc6                2.7-10              GNU C Library: Shared libraries
ii  libgcc1              1:4.3.1-2           GCC support library
ii  libice6              2:1.0.4-1           X11 Inter-Client Exchange library
ii  libqt3-mt            3:3.3.8b-5          Qt GUI Library (Threaded runtime v
ii  libsm6               2:1.0.3-2           X11 Session Management library
ii  libstdc++6           4.3.1-2             The GNU Standard C++ Library v3
ii  libx11-6             2:1.1.4-2           X11 client-side library
ii  libxau6              1:1.0.3-3           X11 authorisation library

Versions of packages ksmserver recommends:
ii  kpersonalizer        4:3.5.9.dfsg.1-2+b1 installation personalizer for KDE

-- no debconf information

Reply to: